OiO.lk Community platform!

Oio.lk is an excellent forum for developers, providing a wide range of resources, discussions, and support for those in the developer community. Join oio.lk today to connect with like-minded professionals, share insights, and stay updated on the latest trends and technologies in the development field.
  You need to log in or register to access the solved answers to this problem.
  • You have reached the maximum number of guest views allowed
  • Please register below to remove this limitation

Uncaught TypeError: (0 , _reactRedux.connect) is not a function at ./node_modules/redux-i18n/dist/component/index.js

  • Thread starter Thread starter yaswanth potti
  • Start date Start date
Y

yaswanth potti

Guest
Got this runtime error for the react application redux, redux-i18n

Code:
Uncaught TypeError: (0 , _reactRedux.connect) is not a function
at ./node_modules/redux-i18n/dist/component/index.js (component.js:1:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./node_modules/redux-i18n/dist/index.js (index.js:1:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./src/reducers/index.js (excursionTagsReducers.js:12:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./src/store/configureStore.js (themes.js:581:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)

Image: Error In Console

Updated the packages from

Package NameOld VersionNew Version
react^16.13.1^18.2.0
react-dom^16.13.1^18.2.0
react-ga^3.0.0^3.3.1
react-idle-timer5.6.25.7.2
react-image-gallery^1.0.7^1.3.0
react-leaflet^2.6.3^4.2.1
react-pdf^5.7.2^7.7.0
react-player^2.9.0^2.14.1
react-redux^7.2.0^9.1.0
react-router-dom^5.2.0^6.22.1
redux^4.0.5^5.0.1
redux-i18n^1.5.19^1.5.26
redux-thunk^2.2.0^3.1.0

Can someone help me rectify this error..?

<p>Got this runtime error for the react application redux, redux-i18n</p>
<pre><code>Uncaught TypeError: (0 , _reactRedux.connect) is not a function
at ./node_modules/redux-i18n/dist/component/index.js (component.js:1:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./node_modules/redux-i18n/dist/index.js (index.js:1:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./src/reducers/index.js (excursionTagsReducers.js:12:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
at ./src/store/configureStore.js (themes.js:581:1)
at options.factory (hot module replacement:378:1)
at webpack_require (Utility.js:125:1)
at fn (hot module replacement:36:1)
</code></pre>
<p><a href="https://i.sstatic.net/Kn8mzBzG.png" rel="nofollow noreferrer">Image: Error In Console</a></p>
<p>Updated the packages from</p>
<div class="s-table-container"><table class="s-table">
<thead>
<tr>
<th>Package Name</th>
<th>Old Version</th>
<th>New Version</th>
</tr>
</thead>
<tbody>
<tr>
<td>react</td>
<td>^16.13.1</td>
<td>^18.2.0</td>
</tr>
<tr>
<td>react-dom</td>
<td>^16.13.1</td>
<td>^18.2.0</td>
</tr>
<tr>
<td>react-ga</td>
<td>^3.0.0</td>
<td>^3.3.1</td>
</tr>
<tr>
<td>react-idle-timer</td>
<td>5.6.2</td>
<td>5.7.2</td>
</tr>
<tr>
<td>react-image-gallery</td>
<td>^1.0.7</td>
<td>^1.3.0</td>
</tr>
<tr>
<td>react-leaflet</td>
<td>^2.6.3</td>
<td>^4.2.1</td>
</tr>
<tr>
<td>react-pdf</td>
<td>^5.7.2</td>
<td>^7.7.0</td>
</tr>
<tr>
<td>react-player</td>
<td>^2.9.0</td>
<td>^2.14.1</td>
</tr>
<tr>
<td>react-redux</td>
<td>^7.2.0</td>
<td>^9.1.0</td>
</tr>
<tr>
<td>react-router-dom</td>
<td>^5.2.0</td>
<td>^6.22.1</td>
</tr>
<tr>
<td>redux</td>
<td>^4.0.5</td>
<td>^5.0.1</td>
</tr>
<tr>
<td>redux-i18n</td>
<td>^1.5.19</td>
<td>^1.5.26</td>
</tr>
<tr>
<td>redux-thunk</td>
<td>^2.2.0</td>
<td>^3.1.0</td>
</tr>
</tbody>
</table></div>
<p>Can someone help me rectify this error..?</p>
 

Latest posts

Top